<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: DAQLSCXG_if Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">DAQLSCXG_if Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for DAQLSCXG_if:</div>
<div class="dyncontent">
<div class="center"><img src="classDAQLSCXG__if__inherit__graph.png" border="0" usemap="#DAQLSCXG__if_inherit__map" alt="Inheritance graph"/></div>
<map name="DAQLSCXG__if_inherit__map" id="DAQLSCXG__if_inherit__map">
<area shape="rect" id="node49" href="classAMC13__T1.html" title="AMC13_T1" alt="" coords="1365,745,1456,772"/><area shape="rect" id="node2" href="classDaqLSCXG10G.html" title="DaqLSCXG10G" alt="" coords="1040,517,1157,544"/><area shape="rect" id="node3" href="classSLINK__opt__XGMII.html" title="SLINK_opt_XGMII" alt="" coords="843,517,976,544"/><area shape="rect" id="node4" href="classreset__resync.html" title="reset_resync(6)" alt="" coords="160,695,283,721"/><area shape="rect" id="node8" href="classevent__generator.html" title="event_generator(2)" alt="" coords="391,543,537,569"/><area shape="rect" id="node36" href="classSLINK__opt.html" title="SLINK_opt" alt="" coords="865,695,953,721"/><area shape="rect" id="node5" href="classfed__itf.html" title="fed_itf" alt="" coords="668,543,732,569"/><area shape="rect" id="node6" href="classfreq__measure.html" title="freq_measure(2)" alt="" coords="399,441,529,468"/><area shape="rect" id="node7" href="classreset__resync.html" title="reset_resync" alt="" coords="169,441,274,468"/><area shape="rect" id="node9" href="classgenerate__3.html" title="generate_3(2)" alt="" coords="165,593,278,620"/><area shape="rect" id="node10" href="classresync.html" title="resync(8)" alt="" coords="180,644,263,671"/><area shape="rect" id="node11" href="classtrigger__gen.html" title="trigger_gen(2)" alt="" coords="164,492,279,519"/><area shape="rect" id="node12" href="classresync.html" title="resync(6)" alt="" coords="5,492,88,519"/><area shape="rect" id="node13" href="classmemory__rnd.html" title="memory_rnd(2)" alt="" coords="160,543,283,569"/><area shape="rect" id="node14" href="classresync.html" title="resync(4)" alt="" coords="5,543,88,569"/><area shape="rect" id="node15" href="classFIFO__sync.html" title="FIFO_sync(2)" alt="" coords="411,391,517,417"/><area shape="rect" id="node16" href="classlpm__fifo__dc.html" title="lpm_fifo_dc(2)" alt="" coords="164,391,279,417"/><area shape="rect" id="node17" href="classCRC__SLINKx.html" title="CRC_SLINKx(2)" alt="" coords="405,593,523,620"/><area shape="rect" id="node18" href="classCore__logic.html" title="Core_logic" alt="" coords="655,644,745,671"/><area shape="rect" id="node19" href="classMemory.html" title="Memory" alt="" coords="427,695,501,721"/><area shape="rect" id="node20" href="classbuild__pckt__s__XGMII.html" title="build_pckt_s_XGMII" alt="" coords="626,365,774,392"/><area shape="rect" id="node21" href="classcrc__gen__32b.html" title="crc_gen_32b" alt="" coords="413,340,515,367"/><area shape="rect" id="node23" href="classrcv__pckt__s__XGMII.html" title="rcv_pckt_s_XGMII" alt="" coords="632,492,768,519"/><area shape="rect" id="node22" href="classxaui__wd__align.html" title="xaui_wd_align" alt="" coords="643,441,757,468"/><area shape="rect" id="node24" href="classresync.html" title="resync(2)" alt="" coords="423,492,505,519"/><area shape="rect" id="node39" href="classrcv__pckt__s.html" title="rcv_pckt_s" alt="" coords="655,695,745,721"/><area shape="rect" id="node25" href="classXGMII__serdes__wapper.html" title="XGMII_serdes_wapper" alt="" coords="827,216,992,243"/><area shape="rect" id="node26" href="classXGbEPCS32.html" title="XGbEPCS32" alt="" coords="651,81,749,108"/><area shape="rect" id="node27" href="classBLOCK__SYNC__SM.html" title="BLOCK_SYNC_SM" alt="" coords="397,56,531,83"/><area shape="rect" id="node28" href="classSCRAMBLER.html" title="SCRAMBLER" alt="" coords="414,107,514,133"/><area shape="rect" id="node29" href="classDESCRAMBLER.html" title="DESCRAMBLER" alt="" coords="405,5,523,32"/><area shape="rect" id="node30" href="classSFP3__v2__7__init.html" title="SFP3_v2_7_init" alt="" coords="641,216,759,243"/><area shape="rect" id="node31" href="classSFP3__v2__7.html" title="SFP3_v2_7" alt="" coords="419,157,509,184"/><area shape="rect" id="node32" href="classSFP3__v2__7__GT.html" title="SFP3_v2_7_GT(3)" alt="" coords="154,157,289,184"/><area shape="rect" id="node33" href="classSFP3__v2__7__TX__STARTUP__FSM.html" title="SFP3_v2_7_TX_STARTUP\l_FSM(3)" alt="" coords="374,209,554,250"/><area shape="rect" id="node34" href="classSFP3__v2__7__RX__STARTUP__FSM.html" title="SFP3_v2_7_RX_STARTUP\l_FSM(3)" alt="" coords="373,274,555,315"/><area shape="rect" id="node35" href="classDaqLSCXG.html" title="DaqLSCXG" alt="" coords="1053,695,1144,721"/><area shape="rect" id="node37" href="classbuild__pckt__s.html" title="build_pckt_s" alt="" coords="649,745,751,772"/><area shape="rect" id="node38" href="classcrc__gen__usb__32to16.html" title="crc_gen_usb_32to16" alt="" coords="387,745,541,772"/><area shape="rect" id="node40" href="classserdes5__wrapper.html" title="serdes5_wrapper" alt="" coords="843,832,976,859"/><area shape="rect" id="node41" href="classserdes5GpdProd__init.html" title="serdes5GpdProd_init" alt="" coords="622,888,778,915"/><area shape="rect" id="node42" href="classserdes5GpdProd.html" title="serdes5GpdProd" alt="" coords="400,979,528,1005"/><area shape="rect" id="node43" href="classserdes5GpdProd__GT.html" title="serdes5GpdProd_GT(3)" alt="" coords="136,979,307,1005"/><area shape="rect" id="node44" href="classserdes5GpdProd__TX__STARTUP__FSM.html" title="serdes5GpdProd_TX_STARTUP\l_FSM(3)" alt="" coords="355,913,573,954"/><area shape="rect" id="node45" href="classserdes5GpdProd__RX__STARTUP__FSM.html" title="serdes5GpdProd_RX_STARTUP\l_FSM(3)" alt="" coords="355,847,573,889"/><area shape="rect" id="node46" href="classcheck__event.html" title="check_event" alt="" coords="1047,745,1151,772"/><area shape="rect" id="node47" href="classSFP__cntr.html" title="SFP_cntr" alt="" coords="1060,796,1137,823"/><area shape="rect" id="node48" href="classcmsCRC64.html" title="cmsCRC64" alt="" coords="1053,847,1144,873"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classDAQLSCXG__if-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classDAQLSCXG__if_1_1Behavioral.html">Behavioral</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Libraries"></a>
Libraries</h2></td></tr>
 <tr class="memitem:afd13b50585152f6756d196bf3f1c52ac"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afd13b50585152f6756d196bf3f1c52ac"></a>
<a class="el" href="classDAQLSCXG__if.html#afd13b50585152f6756d196bf3f1c52ac">UNISIM</a>&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
<tr class="memitem:a638db61841484c449397fe11129de31c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a638db61841484c449397fe11129de31c"></a>
<a class="el" href="classDAQLSCXG__if.html#a638db61841484c449397fe11129de31c">UNIMACRO</a>&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:a2edc34402b573437d5f25fa90ba4013e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2edc34402b573437d5f25fa90ba4013e"></a>
<a class="el" href="classDAQLSCXG__if.html#a2edc34402b573437d5f25fa90ba4013e">numeric_std</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:ad8a035eadb3459f7d2a4ae42064710f7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad8a035eadb3459f7d2a4ae42064710f7"></a>
<a class="el" href="classDAQLSCXG__if.html#ad8a035eadb3459f7d2a4ae42064710f7">amc13_pack</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classamc13__pack.html"> &lt;amc13_pack&gt;</a></td></tr>
<tr class="memitem:a0b4e29910fa9741df9382cff5f62bbdb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0b4e29910fa9741df9382cff5f62bbdb"></a>
<a class="el" href="classDAQLSCXG__if.html#a0b4e29910fa9741df9382cff5f62bbdb">VComponents</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:aa1cb22e959d47364391e5eb4ef86927c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa1cb22e959d47364391e5eb4ef86927c"></a>
<a class="el" href="classDAQLSCXG__if.html#aa1cb22e959d47364391e5eb4ef86927c">vcomponents</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Generics"></a>
Generics</h2></td></tr>
 <tr class="memitem:a844e16d97265af483cf364c6d71aa78f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a844e16d97265af483cf364c6d71aa78f"></a>
<a class="el" href="classDAQLSCXG__if.html#a844e16d97265af483cf364c6d71aa78f">N_SFP</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:aff74a6da063d6bc9904a70d517332f09"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aff74a6da063d6bc9904a70d517332f09"></a>
<a class="el" href="classDAQLSCXG__if.html#aff74a6da063d6bc9904a70d517332f09">sysclk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae2bff980bdd9e9d97007fbb9ae4a2cc5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae2bff980bdd9e9d97007fbb9ae4a2cc5"></a>
<a class="el" href="classDAQLSCXG__if.html#ae2bff980bdd9e9d97007fbb9ae4a2cc5">clk125</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a91745f616179880929383759215f89f7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a91745f616179880929383759215f89f7"></a>
<a class="el" href="classDAQLSCXG__if.html#a91745f616179880929383759215f89f7">DRPclk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aae5de5c5aebf7b54ecd36feaba217215"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aae5de5c5aebf7b54ecd36feaba217215"></a>
<a class="el" href="classDAQLSCXG__if.html#aae5de5c5aebf7b54ecd36feaba217215">reset</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aaf12dfa59247aa961cac0fd046fe626e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaf12dfa59247aa961cac0fd046fe626e"></a>
<a class="el" href="classDAQLSCXG__if.html#aaf12dfa59247aa961cac0fd046fe626e">daq_reset</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a799d48dff74e32736279c6046bed145b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a799d48dff74e32736279c6046bed145b"></a>
<a class="el" href="classDAQLSCXG__if.html#a799d48dff74e32736279c6046bed145b">gtx_reset</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad808a38b49c45c2ee9f817bd702500a2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad808a38b49c45c2ee9f817bd702500a2"></a>
<a class="el" href="classDAQLSCXG__if.html#ad808a38b49c45c2ee9f817bd702500a2">rstCntr</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a835fa40a853eef82168c814be92995c7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a835fa40a853eef82168c814be92995c7"></a>
<a class="el" href="classDAQLSCXG__if.html#a835fa40a853eef82168c814be92995c7">Dis_pd</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1aa95653c9b34d9386929c913375635f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1aa95653c9b34d9386929c913375635f"></a>
<a class="el" href="classDAQLSCXG__if.html#a1aa95653c9b34d9386929c913375635f">test</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a685b6924cbdb51ab39412ce45083e66d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a685b6924cbdb51ab39412ce45083e66d"></a>
<a class="el" href="classDAQLSCXG__if.html#a685b6924cbdb51ab39412ce45083e66d">DB_cmd</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af09b367ca7621a3ea378c6b3e427995d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af09b367ca7621a3ea378c6b3e427995d"></a>
<a class="el" href="classDAQLSCXG__if.html#af09b367ca7621a3ea378c6b3e427995d">enSFP</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a69f0e9569e6c5442383e523e3b15ff11"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a69f0e9569e6c5442383e523e3b15ff11"></a>
<a class="el" href="classDAQLSCXG__if.html#a69f0e9569e6c5442383e523e3b15ff11">SFP_ABS</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2c4ab8062ff397efcaa6525d3ad156cc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2c4ab8062ff397efcaa6525d3ad156cc"></a>
<a class="el" href="classDAQLSCXG__if.html#a2c4ab8062ff397efcaa6525d3ad156cc">LSC_ID</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a128ef9ab3a62484b366bcc7181b3965b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a128ef9ab3a62484b366bcc7181b3965b"></a>
<a class="el" href="classDAQLSCXG__if.html#a128ef9ab3a62484b366bcc7181b3965b">SFP_down</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acbe92999470fa358ae944776ffb614fd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acbe92999470fa358ae944776ffb614fd"></a>
<a class="el" href="classDAQLSCXG__if.html#acbe92999470fa358ae944776ffb614fd">LinkFull</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a16eb9be60ea3b302d83c5188d5d86016"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a16eb9be60ea3b302d83c5188d5d86016"></a>
<a class="el" href="classDAQLSCXG__if.html#a16eb9be60ea3b302d83c5188d5d86016">inc_ddr_pa</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac5f88219e4579e5dcc81250b1cc4c433"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac5f88219e4579e5dcc81250b1cc4c433"></a>
<a class="el" href="classDAQLSCXG__if.html#ac5f88219e4579e5dcc81250b1cc4c433">evt_data_rdy</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a07ecf9523f64c19ce7dc3fd4a18b1237"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a07ecf9523f64c19ce7dc3fd4a18b1237"></a>
<a class="el" href="classDAQLSCXG__if.html#a07ecf9523f64c19ce7dc3fd4a18b1237">EventData_in</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">array3X67</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab1526d911363cf38926b75d03e1e52b1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab1526d911363cf38926b75d03e1e52b1"></a>
<a class="el" href="classDAQLSCXG__if.html#ab1526d911363cf38926b75d03e1e52b1">EventData_we</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab7d22a246670cd72a18b83c92203b2ee"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab7d22a246670cd72a18b83c92203b2ee"></a>
<a class="el" href="classDAQLSCXG__if.html#ab7d22a246670cd72a18b83c92203b2ee">EventData_re</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3b1c896ccf0299955d20393d8627e5ee"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3b1c896ccf0299955d20393d8627e5ee"></a>
<a class="el" href="classDAQLSCXG__if.html#a3b1c896ccf0299955d20393d8627e5ee">evt_buf_full</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a597f55768d56f30cd8e45b7492f6bf95"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a597f55768d56f30cd8e45b7492f6bf95"></a>
<a class="el" href="classDAQLSCXG__if.html#a597f55768d56f30cd8e45b7492f6bf95">buf_rqst</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a689668ca98be4613d9721a1472d7f7d1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a689668ca98be4613d9721a1472d7f7d1"></a>
<a class="el" href="classDAQLSCXG__if.html#a689668ca98be4613d9721a1472d7f7d1">WaitMonBuf</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adeea707a60a6dd420d6621a61b3ad4d3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adeea707a60a6dd420d6621a61b3ad4d3"></a>
<a class="el" href="classDAQLSCXG__if.html#adeea707a60a6dd420d6621a61b3ad4d3">MonBufOverWrite</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2d039ddda783eeafe85d0aaf09de14e8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2d039ddda783eeafe85d0aaf09de14e8"></a>
<a class="el" href="classDAQLSCXG__if.html#a2d039ddda783eeafe85d0aaf09de14e8">TCPBuf_avl</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a261e624e2e2916ec710138199aa0903b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a261e624e2e2916ec710138199aa0903b"></a>
<a class="el" href="classDAQLSCXG__if.html#a261e624e2e2916ec710138199aa0903b">MonBuf_avl</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae9942dc2aefef595a5e6dead1bfda34e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae9942dc2aefef595a5e6dead1bfda34e"></a>
<a class="el" href="classDAQLSCXG__if.html#ae9942dc2aefef595a5e6dead1bfda34e">MonBuf_empty</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afbc211338be44e37ce4007c82299755f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afbc211338be44e37ce4007c82299755f"></a>
<a class="el" href="classDAQLSCXG__if.html#afbc211338be44e37ce4007c82299755f">MonBufOvfl</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a610bff018125815430fba350fc6220ec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a610bff018125815430fba350fc6220ec"></a>
<a class="el" href="classDAQLSCXG__if.html#a610bff018125815430fba350fc6220ec">mon_evt_cnt</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af3ee27b2c9001536c82af5b4e1ca7356"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af3ee27b2c9001536c82af5b4e1ca7356"></a>
<a class="el" href="classDAQLSCXG__if.html#af3ee27b2c9001536c82af5b4e1ca7356">WrtMonBlkDone</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2f8c93c40309733364e4588845e5b2b7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2f8c93c40309733364e4588845e5b2b7"></a>
<a class="el" href="classDAQLSCXG__if.html#a2f8c93c40309733364e4588845e5b2b7">WrtMonEvtDone</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a23a3f89d4b7ec239632bba800d801478"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a23a3f89d4b7ec239632bba800d801478"></a>
<a class="el" href="classDAQLSCXG__if.html#a23a3f89d4b7ec239632bba800d801478">wport_rdy</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad69bbe502ac4105632c9204162e27948"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad69bbe502ac4105632c9204162e27948"></a>
<a class="el" href="classDAQLSCXG__if.html#ad69bbe502ac4105632c9204162e27948">wport_FIFO_full</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6163f40fa1dbe6bc8e57be6372cef4e9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6163f40fa1dbe6bc8e57be6372cef4e9"></a>
<a class="el" href="classDAQLSCXG__if.html#a6163f40fa1dbe6bc8e57be6372cef4e9">EventBufAddr_we</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9aa22e36609f50743bce51fbe0be3f9c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9aa22e36609f50743bce51fbe0be3f9c"></a>
<a class="el" href="classDAQLSCXG__if.html#a9aa22e36609f50743bce51fbe0be3f9c">EventBufAddr</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">array3X14</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a53456f079f262dec427644b38fa1cfe4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a53456f079f262dec427644b38fa1cfe4"></a>
<a class="el" href="classDAQLSCXG__if.html#a53456f079f262dec427644b38fa1cfe4">SFP0_RXN</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7f60f8a5e141d929024899db426c7486"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7f60f8a5e141d929024899db426c7486"></a>
<a class="el" href="classDAQLSCXG__if.html#a7f60f8a5e141d929024899db426c7486">SFP0_RXP</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1a3e0eaf07c951e683502097e0f5d338"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1a3e0eaf07c951e683502097e0f5d338"></a>
<a class="el" href="classDAQLSCXG__if.html#a1a3e0eaf07c951e683502097e0f5d338">SFP1_RXN</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aaf7d22309d8734efe3948cb510feb80a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaf7d22309d8734efe3948cb510feb80a"></a>
<a class="el" href="classDAQLSCXG__if.html#aaf7d22309d8734efe3948cb510feb80a">SFP1_RXP</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac2f266e426423d6c3448b8e345cdf09a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac2f266e426423d6c3448b8e345cdf09a"></a>
<a class="el" href="classDAQLSCXG__if.html#ac2f266e426423d6c3448b8e345cdf09a">SFP2_RXN</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aad0e9560da31b8f164f0b951663415c1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aad0e9560da31b8f164f0b951663415c1"></a>
<a class="el" href="classDAQLSCXG__if.html#aad0e9560da31b8f164f0b951663415c1">SFP2_RXP</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5696f1e5e9528e5fac8cbbb4fb42aba8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5696f1e5e9528e5fac8cbbb4fb42aba8"></a>
<a class="el" href="classDAQLSCXG__if.html#a5696f1e5e9528e5fac8cbbb4fb42aba8">SFP0_TXN</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a91966d31bfb1f8ec25cde3ad1bbcde4e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a91966d31bfb1f8ec25cde3ad1bbcde4e"></a>
<a class="el" href="classDAQLSCXG__if.html#a91966d31bfb1f8ec25cde3ad1bbcde4e">SFP0_TXP</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af52d0fcba02dfe7b88e45e962c3a38e2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af52d0fcba02dfe7b88e45e962c3a38e2"></a>
<a class="el" href="classDAQLSCXG__if.html#af52d0fcba02dfe7b88e45e962c3a38e2">SFP1_TXN</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a530454ab671a39a8e65d799eb6662ae3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a530454ab671a39a8e65d799eb6662ae3"></a>
<a class="el" href="classDAQLSCXG__if.html#a530454ab671a39a8e65d799eb6662ae3">SFP1_TXP</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a98691259f516ef04950ae8db3b6d564d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a98691259f516ef04950ae8db3b6d564d"></a>
<a class="el" href="classDAQLSCXG__if.html#a98691259f516ef04950ae8db3b6d564d">SFP2_TXN</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a61f602daba2918cd137528bbad0eee91"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a61f602daba2918cd137528bbad0eee91"></a>
<a class="el" href="classDAQLSCXG__if.html#a61f602daba2918cd137528bbad0eee91">SFP2_TXP</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4c964a4f52e262535121c0541bf504e4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4c964a4f52e262535121c0541bf504e4"></a>
<a class="el" href="classDAQLSCXG__if.html#a4c964a4f52e262535121c0541bf504e4">SFP_REFCLK_P</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a101f326e8aefe8e652ec366ea77c295e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a101f326e8aefe8e652ec366ea77c295e"></a>
<a class="el" href="classDAQLSCXG__if.html#a101f326e8aefe8e652ec366ea77c295e">SFP_REFCLK_N</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3fead148ea7d64483556221432211d88"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3fead148ea7d64483556221432211d88"></a>
<a class="el" href="classDAQLSCXG__if.html#a3fead148ea7d64483556221432211d88">GbE_REFCLK</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a628d4d962172eee279f09711cce306f6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a628d4d962172eee279f09711cce306f6"></a>
<a class="el" href="classDAQLSCXG__if.html#a628d4d962172eee279f09711cce306f6">ipb_clk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a81d7c1fff00a3d9181db13ac1e8e935f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a81d7c1fff00a3d9181db13ac1e8e935f"></a>
<a class="el" href="classDAQLSCXG__if.html#a81d7c1fff00a3d9181db13ac1e8e935f">ipb_write</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9afe642ceda192cc4a4e719ee49d152d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9afe642ceda192cc4a4e719ee49d152d"></a>
<a class="el" href="classDAQLSCXG__if.html#a9afe642ceda192cc4a4e719ee49d152d">ipb_strobe</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa9c91cc71e86ef5a6381487a56a4846e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa9c91cc71e86ef5a6381487a56a4846e"></a>
<a class="el" href="classDAQLSCXG__if.html#aa9c91cc71e86ef5a6381487a56a4846e">ipb_addr</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab4ec577c3da9dd5d2a3c3f0b1f7989ad"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab4ec577c3da9dd5d2a3c3f0b1f7989ad"></a>
<a class="el" href="classDAQLSCXG__if.html#ab4ec577c3da9dd5d2a3c3f0b1f7989ad">ipb_wdata</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3de411a6efcd9ac2ff7c6777fbf8228b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3de411a6efcd9ac2ff7c6777fbf8228b"></a>
<a class="el" href="classDAQLSCXG__if.html#a3de411a6efcd9ac2ff7c6777fbf8228b">ipb_rdata</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aed1717b9b427557509f537e763a24a14"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aed1717b9b427557509f537e763a24a14"></a>
<a class="el" href="classDAQLSCXG__if.html#aed1717b9b427557509f537e763a24a14">ipb_ack</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="DAQLSCXG__if_8vhd_source.html#l00039">39</a> of file <a class="el" href="DAQLSCXG__if_8vhd_source.html">DAQLSCXG_if.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/CMS_DAQ_if/common/<a class="el" href="DAQLSCXG__if_8vhd_source.html">DAQLSCXG_if.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:43 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
